Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkXMLPDataWriter Class Reference

`#include <vtkXMLPDataWriter.h>`

Inheritance diagram for vtkXMLPDataWriter:

[legend]
Collaboration diagram for vtkXMLPDataWriter:

[legend]
List of all members.

## Detailed Description

Write data in a parallel XML format.

Date:
  2002/10/16 18:23:06

Revision:
  1.1

vtkXMLPDataWriter is the superclass for all XML parallel data set writers. It provides functionality needed for writing parallel formats, such as the selection of which writer writes the summary file and what range of pieces are assigned to each serial writer.

Created by:
  - King, Brad

CVS contributions (if > 5%):
  - King, Brad (100%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkXMLPDataWriter.h)`
  - .`cxx` (`/IO/vtkXMLPDataWriter.cxx)`

Definition at line 45 of file vtkXMLPDataWriter.h.

## Public Types
typedef vtkXMLWriter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
int | Write ()
virtual void | SetNumberOfPieces (int)
virtual int | GetNumberOfPieces ()
virtual void | SetStartPiece (int)
virtual int | GetStartPiece ()
virtual void | SetEndPiece (int)
virtual int | GetEndPiece ()
virtual void | SetGhostLevel (int)
virtual int | GetGhostLevel ()
virtual void | SetWriteSummaryFile (int flag)
virtual int | GetWriteSummaryFile ()
virtual void | WriteSummaryFileOn ()
virtual void | WriteSummaryFileOff ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkXMLPDataWriter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkXMLPDataWriter ()
| ~vtkXMLPDataWriter ()
virtual vtkXMLWriter * | CreatePieceWriter (int index)=0
virtual void | WritePrimaryElementAttributes ()
int | WriteData ()
virtual void | WritePData (vtkIndent indent)
virtual void | WritePPieceAttributes (int index)
char * | CreatePieceFileName (int index, const char *path=0)
void | SplitFileName ()
int | WritePieces ()
int | WritePiece (int index)
## Protected Attributes
int | StartPiece
int | EndPiece
int | NumberOfPieces
int | GhostLevel
int | WriteSummaryFile
int | WriteSummaryFileInitialized
char * | PathName
char * | FileNameBase
char * | FileNameExtension
char * | PieceFileNameExtension

## Member Typedef Documentation

typedef vtkXMLWriter vtkXMLPDataWriter::Superclass

| Reimplemented from vtkXMLWriter. Reimplemented in vtkXMLPDataSetWriter, vtkXMLPImageDataWriter, vtkXMLPPolyDataWriter, vtkXMLPRectilinearGridWriter, vtkXMLPStructuredDataWriter, vtkXMLPStructuredGridWriter, vtkXMLPUnstructuredDataWriter, and vtkXMLPUnstructuredGridWriter. Definition at line 48 of file vtkXMLPDataWriter.h.

## Constructor & Destructor Documentation

vtkXMLPDataWriter::vtkXMLPDataWriter | ( |  | ) | `[protected]`

vtkXMLPDataWriter::~vtkXMLPDataWriter | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkXMLPDataWriter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkXMLWriter. Reimplemented in vtkXMLPDataSetWriter, vtkXMLPImageDataWriter, vtkXMLPPolyDataWriter, vtkXMLPRectilinearGridWriter, vtkXMLPStructuredDataWriter, vtkXMLPStructuredGridWriter, vtkXMLPUnstructuredDataWriter, and vtkXMLPUnstructuredGridWriter.

int vtkXMLPDataWriter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLWriter. Reimplemented in vtkXMLPDataSetWriter, vtkXMLPImageDataWriter, vtkXMLPPolyDataWriter, vtkXMLPRectilinearGridWriter, vtkXMLPStructuredDataWriter, vtkXMLPStructuredGridWriter, vtkXMLPUnstructuredDataWriter, and vtkXMLPUnstructuredGridWriter.

virtual int vtkXMLPDataWriter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLWriter. Reimplemented in vtkXMLPDataSetWriter, vtkXMLPImageDataWriter, vtkXMLPPolyDataWriter, vtkXMLPRectilinearGridWriter, vtkXMLPStructuredDataWriter, vtkXMLPStructuredGridWriter, vtkXMLPUnstructuredDataWriter, and vtkXMLPUnstructuredGridWriter.

vtkXMLPDataWriter* vtkXMLPDataWriter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkXMLWriter. Reimplemented in vtkXMLPDataSetWriter, vtkXMLPImageDataWriter, vtkXMLPPolyDataWriter, vtkXMLPRectilinearGridWriter, vtkXMLPStructuredDataWriter, vtkXMLPStructuredGridWriter, vtkXMLPUnstructuredDataWriter, and vtkXMLPUnstructuredGridWriter.

void vtkXMLPDataWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkXMLWriter. Reimplemented in vtkXMLPDataSetWriter, vtkXMLPImageDataWriter, vtkXMLPPolyDataWriter, vtkXMLPRectilinearGridWriter, vtkXMLPStructuredDataWriter, vtkXMLPStructuredGridWriter, vtkXMLPUnstructuredDataWriter, and vtkXMLPUnstructuredGridWriter.

virtual void vtkXMLPDataWriter::SetNumberOfPieces | ( | int |  | ) | `[virtual]`

| Get/Set the number of pieces that are being written in parallel.

virtual int vtkXMLPDataWriter::GetNumberOfPieces | ( |  | ) | `[virtual]`

| Get/Set the number of pieces that are being written in parallel.

virtual void vtkXMLPDataWriter::SetStartPiece | ( | int |  | ) | `[virtual]`

| Get/Set the range of pieces assigned to this writer.

virtual int vtkXMLPDataWriter::GetStartPiece | ( |  | ) | `[virtual]`

| Get/Set the range of pieces assigned to this writer.

virtual void vtkXMLPDataWriter::SetEndPiece | ( | int |  | ) | `[virtual]`

| Get/Set the range of pieces assigned to this writer.

virtual int vtkXMLPDataWriter::GetEndPiece | ( |  | ) | `[virtual]`

| Get/Set the range of pieces assigned to this writer.

virtual void vtkXMLPDataWriter::SetGhostLevel | ( | int |  | ) | `[virtual]`

| Get/Set the ghost level used for this writer's piece.

virtual int vtkXMLPDataWriter::GetGhostLevel | ( |  | ) | `[virtual]`

| Get/Set the ghost level used for this writer's piece.

virtual void vtkXMLPDataWriter::SetWriteSummaryFile | ( | int | flag | ) | `[virtual]`

| Get/Set whether this instance of the writer should write the summary file that refers to all of the pieces' individual files. Default is yes only for piece 0 writer.

virtual int vtkXMLPDataWriter::GetWriteSummaryFile | ( |  | ) | `[virtual]`

| Get/Set whether this instance of the writer should write the summary file that refers to all of the pieces' individual files. Default is yes only for piece 0 writer.

virtual void vtkXMLPDataWriter::WriteSummaryFileOn | ( |  | ) | `[virtual]`

| Get/Set whether this instance of the writer should write the summary file that refers to all of the pieces' individual files. Default is yes only for piece 0 writer.

virtual void vtkXMLPDataWriter::WriteSummaryFileOff | ( |  | ) | `[virtual]`

| Get/Set whether this instance of the writer should write the summary file that refers to all of the pieces' individual files. Default is yes only for piece 0 writer.

int vtkXMLPDataWriter::Write | ( |  | ) | `[virtual]`

| Invoke the writer. Returns 1 for success, 0 for failure. Reimplemented from vtkXMLWriter. Reimplemented in vtkXMLPDataSetWriter.

virtual vtkXMLWriter* vtkXMLPDataWriter::CreatePieceWriter | ( | int | index | ) | `[protected, pure virtual]`

| Implemented in vtkXMLPDataSetWriter, vtkXMLPStructuredDataWriter, and vtkXMLPUnstructuredDataWriter.

virtual void vtkXMLPDataWriter::WritePrimaryElementAttributes | ( |  | ) | `[protected, virtual]`

| Reimplemented in vtkXMLPImageDataWriter, and vtkXMLPStructuredDataWriter.

int vtkXMLPDataWriter::WriteData | ( |  | ) | `[protected, virtual]`

| Implements vtkXMLWriter.

virtual void vtkXMLPDataWriter::WritePData | ( | vtkIndent | indent | ) | `[protected, virtual]`

| Reimplemented in vtkXMLPRectilinearGridWriter, vtkXMLPStructuredGridWriter, and vtkXMLPUnstructuredDataWriter.

virtual void vtkXMLPDataWriter::WritePPieceAttributes | ( | int | index | ) | `[protected, virtual]`

| Reimplemented in vtkXMLPStructuredDataWriter.

char* vtkXMLPDataWriter::CreatePieceFileName | ( | int | index,
|  | const char * | path = 0
| ) | `[protected]`

void vtkXMLPDataWriter::SplitFileName | ( |  | ) | `[protected]`

int vtkXMLPDataWriter::WritePieces | ( |  | ) | `[protected]`

int vtkXMLPDataWriter::WritePiece | ( | int | index | ) | `[protected]`

## Member Data Documentation

int vtkXMLPDataWriter::StartPiece`[protected]`

| Definition at line 98 of file vtkXMLPDataWriter.h.

int vtkXMLPDataWriter::EndPiece`[protected]`

| Definition at line 99 of file vtkXMLPDataWriter.h.

int vtkXMLPDataWriter::NumberOfPieces`[protected]`

| Definition at line 100 of file vtkXMLPDataWriter.h.

int vtkXMLPDataWriter::GhostLevel`[protected]`

| Definition at line 101 of file vtkXMLPDataWriter.h.

int vtkXMLPDataWriter::WriteSummaryFile`[protected]`

| Definition at line 102 of file vtkXMLPDataWriter.h.

int vtkXMLPDataWriter::WriteSummaryFileInitialized`[protected]`

| Definition at line 103 of file vtkXMLPDataWriter.h.

char* vtkXMLPDataWriter::PathName`[protected]`

| Definition at line 105 of file vtkXMLPDataWriter.h.

char* vtkXMLPDataWriter::FileNameBase`[protected]`

| Definition at line 106 of file vtkXMLPDataWriter.h.

char* vtkXMLPDataWriter::FileNameExtension`[protected]`

| Definition at line 107 of file vtkXMLPDataWriter.h.

char* vtkXMLPDataWriter::PieceFileNameExtension`[protected]`

| Definition at line 108 of file vtkXMLPDataWriter.h.

The documentation for this class was generated from the following file:

- IO/vtkXMLPDataWriter.h